Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.local
Interface CLIServiceConstants

All Known Implementing Classes:
  CLIBackbone, CLIService, CLIServiceTools, ConsoleService, HttpCLIService

    public interface CLIServiceConstants

A CLI Service Constants.

Version:
  1.0

  Version History

      EPG - Initial - 10 JAN 06

Author:
  Erich P. Gatejen

Field Summary
`static java.lang.String` | `COMMAND_HELP` Command help. PARAMETER: Response. List of commands and what they do.
`static java.lang.String` | `COMMAND_KILL` A kill command.
`static java.lang.String` | `COMMAND_KILL_PID`
`static int` | `COMMAND_KILL_PID_POSITION`
`static java.lang.String` | `COMMAND_PING` A Ping command. PARAMETER: (OPTIONAL) whisper.
`static java.lang.String` | `COMMAND_PING_WHISPER`
`static int` | `COMMAND_PING_WHISPER_POSITION`
`static java.lang.String` | `COMMAND_PROCESSLIST` A processlist command. PARAMETER: (OPTIONAL) log.
`static java.lang.String` | `COMMAND_PROCESSLIST_LOG_VALUE`
`static java.lang.String` | `COMMAND_QUIT` Command quit.
`static java.lang.String` | `COMMAND_RUN` A run command.
`static java.lang.String` | `COMMAND_RUN_NAME`
`static int` | `COMMAND_RUN_NAME_POSITION`
`static java.lang.String` | `COMMAND_SETPROP` Set a user global property. ARG1: (REQUIRED) name.
`static java.lang.String` | `COMMAND_SETPROP_NAME`
`static int` | `COMMAND_SETPROP_NAME_POSITION`
`static java.lang.String` | `COMMAND_SETPROP_VALUE`
`static int` | `COMMAND_SETPROP_VALUE_POSITION`
`static java.lang.String` | `COMMAND_SHOWPROPS` A showprops command. PARAMETER: (OPTIONAL) log.
`static java.lang.String` | `COMMAND_SHOWPROPS_LOG_VALUE`
`static java.lang.String` | `HELP`
`static int` | `POSITION_ARG1`
`static int` | `POSITION_ARG2`
`static int` | `POSITION_COMMAND`
`static int` | `ROLLUP_WAIT`

Field Detail

### HELP

    static final java.lang.String HELP

See Also:
  Constant Field Values

### POSITION_COMMAND

    static final int POSITION_COMMAND

See Also:
  Constant Field Values

### POSITION_ARG1

    static final int POSITION_ARG1

See Also:
  Constant Field Values

### POSITION_ARG2

    static final int POSITION_ARG2

See Also:
  Constant Field Values

### ROLLUP_WAIT

    static final int ROLLUP_WAIT

See Also:
  Constant Field Values

### COMMAND_PING

    static final java.lang.String COMMAND_PING

  A Ping command.
  PARAMETER: (OPTIONAL) whisper.

  Response.
  OK will contain the pong whisper token, which is defined as Command_PINGPONG.RESPONSE_PONG

  Implements Command_PINGPONG.

  See Also:
    `Command_PINGPONG`, Constant Field Values

### COMMAND_PING_WHISPER

    static final java.lang.String COMMAND_PING_WHISPER

See Also:
  Constant Field Values

### COMMAND_PING_WHISPER_POSITION

    static final int COMMAND_PING_WHISPER_POSITION

See Also:
  Constant Field Values

### COMMAND_PROCESSLIST

    static final java.lang.String COMMAND_PROCESSLIST

  A processlist command.
  PARAMETER: (OPTIONAL) log. If this is set as a value, it will supress output to the CLI and will instead just log the result.

  Response.
  OK will contain a header and the process list.

  Implements Command_PROCESSLIST.

  See Also:
    `Command_PROCESSLIST`, Constant Field Values

### COMMAND_PROCESSLIST_LOG_VALUE

    static final java.lang.String COMMAND_PROCESSLIST_LOG_VALUE

See Also:
  Constant Field Values

### COMMAND_RUN

    static final java.lang.String COMMAND_RUN

  A run command. This will run the named thing.
  ARG1: (REQUIRED) name. Path the the THING implementation. What the path looks like is up to the server, but the most simple form would be a class definition for a class that can be found in the CLASSPATH.

  Response.
  OK will contain the ID for the THING.

  Implements Command_RUN.

  See Also:
    `Command_RUN`, Constant Field Values

### COMMAND_RUN_NAME

    static final java.lang.String COMMAND_RUN_NAME

See Also:
  Constant Field Values

### COMMAND_RUN_NAME_POSITION

    static final int COMMAND_RUN_NAME_POSITION

See Also:
  Constant Field Values

### COMMAND_SETPROP

    static final java.lang.String COMMAND_SETPROP

  Set a user global property.
  ARG1: (REQUIRED) name. The property name. ARG2: (REQUIRED) value. The property value. A single value only.

  Response.
  OK alone

  Implements Command_SETPROP.

  See Also:
    `Command_SETPROP`, Constant Field Values

### COMMAND_SETPROP_NAME

    static final java.lang.String COMMAND_SETPROP_NAME

See Also:
  Constant Field Values

### COMMAND_SETPROP_NAME_POSITION

    static final int COMMAND_SETPROP_NAME_POSITION

See Also:
  Constant Field Values

### COMMAND_SETPROP_VALUE

    static final java.lang.String COMMAND_SETPROP_VALUE

See Also:
  Constant Field Values

### COMMAND_SETPROP_VALUE_POSITION

    static final int COMMAND_SETPROP_VALUE_POSITION

See Also:
  Constant Field Values

### COMMAND_SHOWPROPS

    static final java.lang.String COMMAND_SHOWPROPS

  A showprops command.
  PARAMETER: (OPTIONAL) log. If this is set as a value, it will supress output to the CLI and will instead just log the result.

  Response.
  OK will contain a header and the properties list.

  Implements Command_SHOWPROPS.

  See Also:
    `Command_SHOWPROPS`, Constant Field Values

### COMMAND_SHOWPROPS_LOG_VALUE

    static final java.lang.String COMMAND_SHOWPROPS_LOG_VALUE

See Also:
  Constant Field Values

### COMMAND_KILL

    static final java.lang.String COMMAND_KILL

  A kill command. This will kill the names process.
  ARG1: (REQUIRED) name. Path the the THING implementation. What the path looks like is up to the server, but the most simple form would be a class definition for a class that can be found in the CLASSPATH.

  Response.
  OK

  Implements Command_KILL.

  See Also:
    `Command_KILL`, Constant Field Values

### COMMAND_KILL_PID

    static final java.lang.String COMMAND_KILL_PID

See Also:
  Constant Field Values

### COMMAND_KILL_PID_POSITION

    static final int COMMAND_KILL_PID_POSITION

See Also:
  Constant Field Values

### COMMAND_HELP

    static final java.lang.String COMMAND_HELP

  Command help.
  PARAMETER: Response.
  List of commands and what they do.

  This is a CLIService-only command.

  See Also:
    Constant Field Values

### COMMAND_QUIT

    static final java.lang.String COMMAND_QUIT

  Command quit.
  PARAMETER: None. Response.
  Ask the server to quit.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.